%define major      1
%define libname    %mklibname %name %major
%define libnamedev %mklibname -d %name

Name:           openscap
Version:        0.8.0
Release:        %mkrel 1
Summary:        Set of open source libraries enabling integration of the SCAP line of standards
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.open-scap.org/
Source0:        http://open-scap.org/download/%{name}-%{version}.tar.gz
Patch2:		openscap-0.7.1-link.patch
Patch3:		openscap-0.8.0-str-fmt.patch
BuildRequires:  swig
BuildRequires:	pcre-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	rpm-devel

%description
OpenSCAP is a set of open source libraries providing an easier path 
for integration of the SCAP line of standards. SCAP is a line of standards 
managed by NIST with the goal of providing a standard language 
for the expression of Computer Network Defense related information.

%package -n %{libname}
Summary:	Set of open source libraries enabling integration of the SCAP line of standards
Group:          System/Libraries
Conflicts:	%name < 0.7.2

%description -n %{libname}
OpenSCAP is a set of open source libraries providing an easier path 
for integration of the SCAP line of standards. SCAP is a line of standards 
managed by NIST with the goal of providing a standard language 
for the expression of Computer Network Defense related information.


%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.7.2

%description -n %{libnamedev}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        python
Summary:        Python bindings for %{name}
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}
BuildRequires:  python-devel 

%description    python
The %{name}-python package contains the bindings so that %{name}
libraries can be used by python.

%package        perl
Summary:        Perl bindings for %{name}
Group:          Development/Perl
Requires:       %{name} = %{version}-%{release}
BuildRequires:  perl-devel

%description    perl
The %{name}-perl package contains the bindings so that %{name}
libraries can be used by perl.

%prep
%setup -q
%patch2 -p0 -b .link
%patch3 -p0 -b .str

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/bash_completion.d/oscap
%{_bindir}/*
%{_libdir}/%{name}
%{_mandir}/man8/*
%{_datadir}/%{name}

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files python
%{python_sitearch}/*

%files perl
%{perl_vendorarch}/*
%{perl_vendorlib}/*.pm

%files -n %{libnamedev}
%doc docs/{html,examples}/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog

* Sun Jan 15 2012 fwang <fwang> 0.8.0-1.mga2
+ Revision: 196409
- update filelist
- fix str fmt
- drop merged patch
- new version 0.8.0
- drop .la file

* Sun Apr 24 2011 pterjan <pterjan> 0.7.2-1.mga1
+ Revision: 90013
- libify
- update to 0.7.2
- fix pkg-config file
- imported package openscap

